#include <iostream>
#include <vector>

using ll = long long;
using namespace std;

int main() {
    ll h, w;
    cin >> h >> w;
    if (w < h) swap(w, h);
    long long ans = w, t = w;
    if (h == 1) ans -= w;
    while (w >= 2) {
        ans += w;
        --w;
    }
    std::cout << h * t + ans * h;
    return 0;
}